aboutsummaryrefslogtreecommitdiffstats
path: root/target/linux/mediatek/mt7629/base-files/etc/init.d/bootcount
diff options
context:
space:
mode:
Diffstat (limited to 'target/linux/mediatek/mt7629/base-files/etc/init.d/bootcount')
-rwxr-xr-xtarget/linux/mediatek/mt7629/base-files/etc/init.d/bootcount17
1 files changed, 17 insertions, 0 deletions
diff --git a/target/linux/mediatek/mt7629/base-files/etc/init.d/bootcount b/target/linux/mediatek/mt7629/base-files/etc/init.d/bootcount
new file mode 100755
index 0000000000..a6b8fac1d9
--- /dev/null
+++ b/target/linux/mediatek/mt7629/base-files/etc/init.d/bootcount
@@ -0,0 +1,17 @@
+#!/bin/sh /etc/rc.common
+# SPDX-License-Identifier: GPL-2.0-only
+
+START=99
+
+boot() {
+ case $(board_name) in
+ iptime,a6004mx)
+ if [ `fw_printenv boot_sector` = "boot_sector=B" ]; then
+ echo "bootcount: boot_sector must be A. Rebooting..."
+ fw_setenv boot_sector A
+ reboot
+ exit 1
+ fi
+ ;;
+ esac
+}